<app-navbar></app-navbar>
<div class="content-section implementation" style="border: none;">
    <div class="card" style="border: none;">
        <p-dataView #dv [value]="videosFavoritos" [paginator]="true" [rows]="9" filterBy="name" layout="grid" emptyMessage="">
            <ng-template pTemplate="header">
                <div class="p-d-flex p-flex-column p-flex-md-row p-jc-md-between">
                    <span class="p-input-icon-left">
                    </span>
                    <p-dataViewLayoutOptions></p-dataViewLayoutOptions>
                </div>
            </ng-template>
            <ng-template let-videosFavoritos pTemplate="listItem">
                <div class="p-col-12">
                    <div class="video-list-item">
                        <img src="{{videosFavoritos.miniatura}}" (click)="verVideo(videosFavoritos.id)">
                        <div class="video-list-detail">
                            <div class="video-name">{{videosFavoritos.titulo}}</div>
                            <div class="video-description">{{videosFavoritos.descripcion}}</div>
                            <i class="pi pi-user"></i> <span> {{videosFavoritos.canal}}</span>
                        </div>
                        <div class="video-list-action">
                            <i *ngIf="videosFavoritos.favorito" class="fa fa-heart"
                                style="font-size:36px; margin-right: 5px; margin-bottom: 5px;color: red ;cursor: pointer;"
                                (click)="deleteVideoFav(videosFavoritos.id)"></i>
                        </div>
                    </div>
                </div>
            </ng-template>
            <ng-template let-videosFavoritos pTemplate="gridItem">
                <div class="p-col-12 p-md-4">
                    <div class="video-grid-item card">
                        <div class="video-grid-item-top">
                            <div>
                                <i class="pi pi-user"></i>
                                <span class="channle-name-grid"> {{videosFavoritos.canal}}</span>
                            </div>
                        </div>
                        <div class="video-grid-item-content">
                            <img src="{{videosFavoritos.miniatura}}" (click)="verVideo(videosFavoritos.id)">
                            <div class="video-name">{{videosFavoritos.titulo}}</div>
                            <div class="video-description">{{videosFavoritos.descripcion}}</div>
                        </div>
                        <div class="video-grid-item-bottom">
                            <span class="video-grid-action"></span>
                            <i *ngIf="videosFavoritos.favorito" class="fa fa-heart"
                                style="font-size:36px; margin-right: 5px; margin-bottom: 5px;color: red ;cursor: pointer;"
                                (click)="deleteVideoFav(videosFavoritos.id)"></i>
                        </div>
                    </div>
                </div>
            </ng-template>
        </p-dataView>
    </div>
</div>
<div>
</div>